Name:           sugar-labyrinth
Version:        11
Release:        2%{?dist}
Summary:        A lightweight mind-mapping activity for Sugar

Group:          Sugar/Activities
License:        GPLv2+
URL:            http://wiki.sugarlabs.org/go/Activities/Labyrinth
Source0:        http://download.sugarlabs.org/sources/honey/Labyrinth/Labyrinth-%{version}.tar.bz2

BuildRequires:  gettext python sugar-toolkit
BuildArch:      noarch
Requires:       sugar

%description
A lightweight mind-mapping activity based on an Open Source project called
Labyrinth. It allows creating mind maps from a mixture of text, freehand
drawings, and images from your Journal. There is an infinite sized canvas
for your map that can be panned and zoomed while you work. Maps can be
"Kept to PDF" for uploading to web sites, sharing, and printing by others
who may not be using Sugar. 


%prep
%setup -q -n Labyrinth-%{version}

# remove these shebangs to calm rpmlint down
for Files in src/TextThought.py src/MMapArea.py labyrinthactivity.py src/labyrinth.py; do
  %{__sed} -i.orig -e 1d ${Files}
  touch -r ${Files}.orig ${Files}
  %{__rm} ${Files}.orig
done


%build
python ./setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python ./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}

%find_lang org.gnome.Labyrinth

# Remove empty file
rm $RPM_BUILD_ROOT/%{_datadir}/sugar/activities/Labyrinth.activity/port/TODO

%clean
rm -rf $RPM_BUILD_ROOT


%files -f org.gnome.Labyrinth.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{sugaractivitydir}/Labyrinth.activity/


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Peter Robinson <pbrobinson@gmail.com> - 11-1
- New 11 release

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 9-2
- recompiling .py files against Python 2.7 (rhbz#623377)

* Mon Mar 24 2010 Sebastian Dziallas <sebastian@when.com> - 9-1
- new upstream release

* Fri Mar 05 2010 Sebastian Dziallas <sebastian@when.com> - 8-1
- initial packaging
